Bug 110616 - missing dependency (lm_sensors-devel)
missing dependency (lm_sensors-devel)
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 14:02 EST by Kaj J. Niemi
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 05:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2003-11-21 14:02:54 EST
net-snmp.spec is missing a buildprereq for lm_sensors-devel on x86
architectures resulting in errors during the compile.

host/hr_sensor.c:21:30: sensors/sensors.h: No such file or directory
host/hr_sensor.c:22:27: sensors/error.h: No such file or directory


Version-Release number of selected component (if applicable):
net-snmp-5.1-1

How reproducible:
Always

Additional info:

The following three lines should take care of it:

%ifarch %{ix86}
BuildPrereq: lmsensors-devel
%endif
Comment 1 Miloslav Trmac 2003-11-24 06:38:31 EST
Triage->Easyfix
Comment 2 Phil Knirsch 2003-11-26 05:52:14 EST
Fixed in net-snmp-5.1-2

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.